Skip to main content
GET
cURL

Authorizations

x-api-key
string
header
required

The API key to authenticate requests.

Path Parameters

id
string
required

The ID of the resume.

Response

The resume with its full data.

id
string
required

The ID of the resume.

name
string
required

The name of the resume.

Minimum string length: 1
slug
string
required

The slug of the resume.

Minimum string length: 1
tags
string[]
required

The tags of the resume.

isPublic
boolean
required

Whether the resume is public.

showDownloadButtons
boolean
required

Whether download buttons are shown on the public resume page.

isLocked
boolean
required

Whether the resume is locked.

data
object
required
createdAt
string<date-time>
required

The date and time the resume was created.

updatedAt
string<date-time>
required

The date and time the resume was last updated.

hasPassword
boolean
required
applicationId
string | null
required

The job application this resume was made for, if any.